Server Security has Changed

timeisrunningoutBecause of web attacks from high risk vulnerabilities like Bash and Heartbleed compromising servers; security has been improved!

Older servers running 2003 SP2 can no longer read newly issued Web security certificates!

To secure these servers a very specific update must be installed.  Don't apply updates in general or your Televantage system will fail!

Contact us to arrange for installation of this security update which is required to connect to the secure devices that support your Televantage system!

SHA2 256 or higher encryption hotfix

Don't get caught off-guard without the ability to connect to a remote support server!

Schedule a Telephony Engineer Today to Apply This Important Hotfix.

Keep your systems protected and working for you!